﻿<?php
/**
 * @package    Sape
 * @subpackage Base
 * @author     NBSerG {@link http://nbserg.ru}
 */
//-- No direct access
defined('_JEXEC') or die('Restricted access');
?>

<?php

$sape_id = $params->get('sape_id', '');
$links_total = $params->get('nlinks', 0);
$debug = $params->get('debug', false);

if ($links_total <= 0) {
    if ($debug)
        echo '<span style="border: 1px solid red; color: red;"><b>Некоректное количество ссылок! Проверьте параметры.</b></span>';
    return;
}
if (!$sape_id) {
    if ($debug)
        echo '<span style="border: 1px solid red; color: red;"><b>неверное Имя папки Sape! Проверьте параметры.</b></span>';
    return;
}

global $sape;
if (!defined('_SAPE_USER')) {
    define('_SAPE_USER', $sape_id);
    require_once($_SERVER ['DOCUMENT_ROOT'] . '/' . _SAPE_USER . '/sape.php');
    $o['charset'] = 'UTF-8';
    if ($debug) {
        $o['force_show_code'] = true;
        //$o['verbose'] = true;
    }
    $sape = new SAPE_client($o);
}

$delim = $sape->_links_delimiter;
if ($debug && !$delim)
    $delim = ' ';

$ret = '';
if ($links_total - 1 > 0)
    $ret = $sape->return_links($links_total - 1);

$links = $sape->return_links();
$ret = $ret . ($links && $ret ? $delim : '') . $links;

if ($debug) {
    $ret = str_replace('<!--', '', $ret);
    $ret = str_replace('-->', '', $ret);
    $ret = '<b>sp[' . $ret . ']</b>';
}

if (strlen($sape->_error) && $debug)
    $ret .= mb_convert_encoding($sape->_error, 'UTF-8', 'Windows-1251');

if ($debug)
    echo '<span style="border: 1px solid red; color: red;" class="sp">' . $ret . '</span>';
else
    echo '<span class="sp">' . $ret . '</span>';



?>